mconv_rebind_buffer(3m17n)

NAME
mconv_rebind_buffer - Bind a buffer to a code converter.

SYNOPSIS
MConverter* mconv_rebind_buffer (MConverter * converter, const unsigned char * buf, int n)

DESCRIPTION
Bind a buffer to a code converter.

The mconv_rebind_buffer() function binds buffer area of n bytes pointed to by buf to code converter converter. Subsequent decodings and encodings are done to/from this newly bound buffer area.

RETURN VALUE

    This function always returns converter.

SEE ALSO

    mconv_rebind_stream()

COPYRIGHT
Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2008 National Institute of Advanced Industrial Science and Technology (AIST)
Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License <http://www.gnu.org/licenses/fdl.html>.